# Generated by Django 4.2.6 on 2024-07-21 20:25
"""
Adapted migration code with tricks from:
https://github.com/django-treebeard/django-treebeard/issues/125#issuecomment-694837640

This is required for existing models trying to add treebeard features.
"""

from django.db import migrations, models
from treebeard.mp_tree import MP_Node


def update_paths(apps, schema_editor):
    """
    Set default tree attributes for existing Categories
    """
    # Dummy model on the fly just to reach the treebeard API
    #class Crasseu(MP_Node):
        #pass

    #RealCategory = apps.get_model("lotus", "Category")
    db_alias = schema_editor.connection.alias

    for i, catitem in enumerate(apps.get_model("lotus", "Category").objects.all(), 1):
        catitem.path = MP_Node._get_path(None, 1, i)
        catitem.save(using=db_alias)


def backwards(apps, schema_editor):
    """Dummy function since we don't support backward operation"""
    pass


class Migration(migrations.Migration):
    dependencies = [
        ("lotus", "0003_album_modified_category_modified_and_more"),
    ]
    operations = [
        migrations.AddField(
            model_name="category",
            name="depth",
            field=models.PositiveIntegerField(default=1),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="category",
            name="numchild",
            field=models.PositiveIntegerField(default=0),
        ),
        migrations.AddField(
            model_name="category",
            name="path",
            field=models.CharField(default="", max_length=255),
        ),
        migrations.RunPython(update_paths, backwards),
        migrations.AlterField(
            model_name="category",
            name="path",
            field=models.CharField(max_length=255, unique=True),
        ),
    ]